Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
attributelist.php File Reference

Go to the source code of this file.

## Variables
| $article = new eZArticle( $ArticleID )
| $category = $article->categoryDefinition( )
| $CategoryID = $category->id()
if(isset( $DeleteSelected)) if(isset( $NewType)) | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZArticleMain", "Language" )
| $t
| $types = $article->types()
| $typeCount = count( $types )
if( $typeCount > 0) | else

## Variable Documentation

## ◆ $article

$article = new eZArticle( $ArticleID )

Definition at line 36 of file attributelist.php.

## ◆ $category

$category = $article->categoryDefinition( )

Definition at line 37 of file attributelist.php.

## ◆ $CategoryID

$CategoryID = $category->id()

Definition at line 38 of file attributelist.php.

## ◆ $ini

if (isset($DeleteSelected)) if (isset($NewType)) $ini =& eZINI::instance( 'site.ini' )

Definition at line 78 of file attributelist.php.

## ◆ $Language

$Language = $ini->variable( "eZArticleMain", "Language" )

Definition at line 80 of file attributelist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezarticle/admin/" . $ini->variable( "eZArticleMain", "AdminTemplateDir" ),
"kernel/ezarticle/admin/intl/", $Language, "attribute.php" )
$ini
if(isset( $DeleteSelected)) if(isset( $NewType)) $ini
Definition: attributelist.php:78
$Language
$Language
Definition: attributelist.php:80
eZTemplate
Definition: eztemplate.php:107

Definition at line 82 of file attributelist.php.

## ◆ $typeCount

$typeCount = count( $types )

Definition at line 101 of file attributelist.php.

## ◆ $types

$types = $article->types()

Definition at line 99 of file attributelist.php.

## ◆ else

if ($typeCount > 0) else

Initial value:
{
$t->parse( "no_types_item", "no_types_item_tpl" )
$t
$t
Definition: attributelist.php:82

Definition at line 124 of file attributelist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.